Subject: bug#7398: 23.2.90; Missing descenders in menu and toolbar tooltips

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Nov 2010 20:39:17 +0200

> Date: Sun, 14 Nov 2010 20:18:28 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> It is part of a larger problem with Emacs tooltips on MS-Windows: we
> somehow miscalculate the dimensions of the tooltip.  You can see that
> even with the default font, if you slowly move the mouse pointer from
> left to right above the mode line: some of the tooltips that pop up
> have truncated text.

Very strange, this problem.  Setting the default font is not supposed
to influence the tooltip font in any way, see tooltip-frame-parameters.
And yet somehow it does, even though the tooltip is displayed with the
same Sans Serif font both before and after Options->Set Default Font.

Any ideas why this could happen?